﻿@model PurchaseOrderView
@{
    ViewBag.Title = "_PurchaseOrder";
    Layout = "~/Views/Shared/_Layout.cshtml";

    ViewBag.SystemCurrency = Model.ListSystemRates.Where(t => t.System == true).Select(t => t.Currency).FirstOrDefault();
    ViewBag.LocalCurrency = Model.ListSystemRates.Where(t => t.Local == true).Select(t => t.Currency).FirstOrDefault();
    ViewBag.RateCurrency = Model.ListSystemRates.Where(t => t.System == true).Select(t => t.Rate).FirstOrDefault();

}

@Styles.Render("~/Content/DataPicker")

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
</script>

<h1 class="page-header">@ViewBag.Tite</h1>

@using (Html.BeginForm("ConfirmAction", "PurchaseOrder", FormMethod.Post, new { @class = "form-horizontal row-border", id = "formPurchaseOrder" }))
{
    <!--///////// BLOKE 1/////////-->
    <div class="row">
        <div class="col-md-6 col-sm-6 col-xs-12">
            <div class="panel panel-default">
                <div class="panel-heading clearfix">
                    <i class="icon-calendar"></i>
                    <h3 class="panel-title">@PurchaseOrders.Vendor</h3>
                </div>
                <div class="panel-body">

                    <div class="row">
                        <div class="col-md-5">
                            @Html.TextBoxFor(c => c.CardCode, new { @Id = "txtCodeVendor", @Name = "txtCodeVendor", @placeholder = @PurchaseOrders.VC, @class = "form-control" })
                        </div>
                        <div class="col-md-4">
                            @Html.TextBoxFor(c => c.CardName, new { @Id = "txtNameVendor", @placeholder = @PurchaseOrders.VN, @class = "form-control" })
                        </div>
                        <div class="col-md-2 pull-right">
                            <button type="button" class="btn btn-success btn-ls pull-right " data-toggle="modal" data-target="#VendorModal"><span class="glyphicon glyphicon-search"></span>@PurchaseOrders.Search</button>
                        </div>
                    </div>
                    <br>
                    <select id="ListContact" class="form-control">
                        <option value="">@PurchaseOrders.CP</option>
                    </select>
                    <br>
                    <div class="row">
                        <label class="col-md-6 control-label">@PurchaseOrders.VRN</label>
                        <div class="col-md-6">
                            @Html.TextBoxFor(c => c.NumAtCard, new { @placeholder = @PurchaseOrders.VRN, @class = "form-control" })
                        </div>
                    </div>
                    <br>
                    <div class="row">
                        <div class="col-lg-6 col-sm-6 col-sx-6">
                            @Html.DropDownListFor(model => model.CurSource, new SelectList(
                                Model.ListDocumentSAPCombo.ListTypeCurrency,
                                                  "CurSource",
                                                                  "Description", Model.CurSource), new { @Id = "TypeCurrency", @class = "form-control" })
                        </div>
                        <div class="col-lg-6 col-sm-6 col-sx-6">
                            <input name="regular" style="width:60px;" id="txtCurrencySg" type="text" class="form-control" value=" $">
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <div class="col-md-3 col-sm-3 col-xs-12">
            <div class="panel panel-default">
                <div class="panel-heading clearfix">
                    <i class="icon-calendar"></i>
                    <h3 class="panel-title">@PurchaseOrders.Date</h3>
                </div>
                <div class="panel-body">
                    <div class="input-group date">
                        @Html.TextBoxFor(c => c.DocDate, new { @placeholder = @PurchaseOrders.PD, @class = "form-control", @Value = Model.DocDate.ToString("dd/MM/yyyy") })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    </div>
                    <br>
                    <div class="input-group date">
                        @Html.TextBoxFor(c => c.DocDueDate, new { @placeholder = @PurchaseOrders.DelDate, @class = "form-control", @Value = Model.DocDueDate.ToString("dd/MM/yyyy") })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    </div>
                    <br>
                    <div class="input-group date">
                        @Html.TextBoxFor(c => c.TaxDate, new { @placeholder = @PurchaseOrders.DocDate, @class = "form-control", @Value = Model.TaxDate.ToString("dd/MM/yyyy") })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    </div>
                    <br>
                    <label class="checkbox-inline">
                        <input type="checkbox" id="inlineCheckbox1" value="option1" checked=""> Split Purchase Order
                    </label>
                </div>
            </div>
        </div>


        <div class="col-md-3 col-sm-3 col-xs-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">@PurchaseOrders.Payment</h3>
                </div>
                <div class="panel-body">
                    @Html.DropDownListFor(model => model.GroupNum, new SelectList(
                                Model.ListDocumentSAPCombo.ListPaymentTerm,
                                         "GroupNum",
                                                  "PymntGroup", Model.GroupNum), new { @Id = "PaymentTerm", @class = "form-control" })
                    <br>
                    <div class="input-group date">
                        @Html.TextBoxFor(c => c.CancelDate, new { @placeholder = @PurchaseOrders.CancelationDate, @class = "form-control" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    </div>
                    <br>

                    @Html.DropDownListFor(model => model.GroupNum, new SelectList(
                                Model.ListDocumentSAPCombo.ListPaymentMethod,
                                         "PayMethCod",
                                         "Descript",
                                                         Model.GroupNum), new { @Id = "PeyMethod", @class = "form-control" })


                    <br>
                    <div class="input-group date">
                        @Html.TextBoxFor(c => c.ReqDate, new { @placeholder = @PurchaseOrders.ReqDate, @class = "form-control"})<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!--///////// BLOKE 2 /////////-->

    <div class="panel panel-default">
        <div class="panel-heading clearfix">
            <i class="icon-calendar"></i>
            <h3 class="panel-title">@PurchaseOrders.Information</h3>
        </div>
        <!--bloke search-->
        <div class="panel-body">
            <button type="button" id="btNew" class="btn btn-success btn-ls" data-toggle="modal" data-target="#myModal"><span class="glyphicon glyphicon-plus"></span> New</button>
        </div>


        <!--Document Line-->
        <div class="panel-body">
            <!--campos filtro-->
            <div id="ItemsSelect" class="table-responsive">
                @Html.Partial("_ItemsForm", Model.Lines)
            </div>
            <div class="alert alert-danger" role="alert">
                <strong>Oh!</strong> No Items in the list.
            </div>

            <!--datos de tabla-->
            <div class="panel-body well">
                <div class="col-md-6 col-sm-6 pull-right ">
                    <div class="panel-body">

                        <div class="form-group">
                            <label class="col-md-6 control-label">
                                @PurchaseOrders.TBD
                            </label>
                            <div class="col-md-6">
                                <input type="text" disabled="disabled" value="0" id="TotalDoc" name="regular" class="form-control">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-6 control-label">@PurchaseOrders.Discount</label>
                            <div class="col-md-2">
                                @Html.TextBoxFor(c => c.DiscPrcnt, new { @placeholder = "%", @class = "form-control" })
                            </div>
                            <div class="col-md-4">
                                <input id="TotalDisc" value="0" class="form-control" name="pass">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-6 control-label">@PurchaseOrders.Tax</label>
                            <div class="col-md-6">
                                <input class="form-control" value="0" type="text" placeholder="placeholder">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-6 control-label">@PurchaseOrders.TPD</label>
                            <div class="col-md-6">
                                <input type="text" id="TotalDocPD" name="disabled" disabled="disabled" value="0" class="form-control">
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>



    <!--///////// close BLOKE/////////-->
    <!--///////// BLOKE 3 /////////-->


    <div class="row">
        <div class="col-md-3 col-sm-3 col-xs-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">@PurchaseOrders.Payment</h3>
                </div>
                <div class="panel-body">
                    <div class="panel-body">
                        @Html.DropDownListFor(model => model.SlpCode, new SelectList(
                                Model.ListDocumentSAPCombo.ListBuyer,
                                                  "SlpCode",
                                                  "SlpName", Model.SlpCode), new { @Id = "Buyer", @class = "form-control" })
                        <br>
                        <div class="row">
                            <label class="col-md-3 control-label">@PurchaseOrders.Remarks</label>
                            <div class="col-md-9">
                                @Html.TextBoxFor(c => c.Comments, new { @placeholder = @PurchaseOrders.Remarks, @class = "form-control" })
                            </div>
                        </div>
                        <br>
                        <div class="row">
                            <label class="col-md-3 control-label">@PurchaseOrders.Owner</label>
                            <div class="col-md-9">
                                @Html.TextBoxFor(c => c.OwnerCode, new { @placeholder = @PurchaseOrders.OC, @class = "form-control" })
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-3 col-sm-3 col-xs-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">@PurchaseOrders.Payment</h3>
                </div>
                <div class="panel-body">
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseOrders.ST</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(c => c.Address, new { @placeholder = @PurchaseOrders.ST, @class = "form-control" })
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-3 col-sm-3 col-xs-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">@PurchaseOrders.Payment</h3>
                </div>
                <div class="panel-body">
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseOrders.BT</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(c => c.Address2, new { @placeholder = @PurchaseOrders.BT, @class = "form-control" })
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-3 col-sm-3 col-xs-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">@PurchaseOrders.Payment</h3>
                </div>
                <div class="panel-body">
                    <div class="row">
                        <label class="col-md-3 control-label">@PurchaseOrders.ShipType</label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(model => model.TrnspCode, new SelectList(
                                Model.ListDocumentSAPCombo.ListShippingType,
                                                           "TrnspCode",
                                                           "TrnspName", Model.TrnspCode), new { @Id = "ShipType", @class = "form-control" })
                        </div>
                    </div>
                </div>
            </div>
        </div>


    </div>

    <div class="row">
        <div class="col-md-6 col-sm-6  ">
            <button type="submit" class="btn btn-lg btn-success">Ok</button>
            @Html.ActionLink(@PurchaseOrders.Cancel, "Index", "PurchaseOrder", null, new { @class = "btn btn-lg btn-default" })
        </div>
    </div>
    <!--///////// close BLOKE/////////-->



    @Html.Hidden("SystemCurrency", (string)ViewBag.SystemCurrency)
    @Html.Hidden("LocalCurrency", (string)ViewBag.SystemCurrency)
    @Html.Hidden("RateCurrency", (double)ViewBag.RateCurrency)


    @*Modal Items*@
    <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="myModalLabel">Search </h4>
                </div>
                <div class="">

                    <div class="bs-example">

                        <div class="col-md-3">
                            <label class="checkbox-inline">
                                <input type="checkbox" id="ckCode" value="option1" checked=""> By Code
                            </label>

                            <br>
                            <label class="checkbox-inline">
                                <input type="checkbox" id="ckName" value="option1" checked=""> By Name
                            </label>
                        </div>


                        <div class="col-md-2">
                            <label class="col-md-2 control-label">Search</label>
                        </div>

                        <div class="col-md-4">
                            <input type="text" name="regular" id="txtSearch" class="form-control">
                        </div>

                        <div class="col-md-2 pull-right">
                            <button type="button" id="SearchItems" class="btn btn-success btn-ls pull-right " data-toggle="modal" data-target="#myModal"><span class="glyphicon glyphicon-search"></span> Search</button>
                        </div>

                    </div>


                    <div class="panel-body">
                        <!--tabla-->
                        <div class="table-responsive">
                            <div id="Load" style=" text-align :center ">
                                <img src="~/Content/img/Load.gif" />
                            </div>
                            <div id="ModalBody">
                                @Html.Partial("_Items", Model.ListItem)
                            </div>
                        </div>

                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                    <button type="button" id="btnChoose" class="btn btn-primary">Choose</button>
                </div>
            </div>
        </div>
    </div>

    @*Modal Vendors*@
    <div class="modal fade" id="VendorModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="myModalLabelVendorModalVendor">Search Vendor</h4>
                </div>
                <div class="">

                    <div class="bs-example">

                        <div class="col-md-3">
                            <label class="checkbox-inline">
                                <input type="checkbox" id="ckCodeVendor" value="option1" checked=""> By Code
                            </label>

                            <br>
                            <label class="checkbox-inline">
                                <input type="checkbox" id="ckNameVendor" value="option1" checked=""> By Name
                            </label>
                        </div>


                        <div class="col-md-2">
                            <label class="col-md-2 control-label">Search</label>
                        </div>

                        <div class="col-md-4">
                            <input type="text" name="regular" id="txtSearchVendor" class="form-control">
                        </div>

                        <div class="col-md-2 pull-right">
                            <button type="button" id="SearchVendor" class="btn btn-success btn-ls pull-right " data-toggle="modal" data-target="#VendorModal"><span class="glyphicon glyphicon-search"></span> Search</button>
                        </div>

                    </div>


                    <div class="panel-body">
                        <!--tabla-->
                        <div class="table-responsive">
                            <div id="LoadVendor" style=" text-align :center ">
                                <img src="~/Content/img/Load.gif" />
                            </div>
                            <div id="ModalBodyVendor">
                                @Html.Partial("_Vendors", Model.ListBPVendor)
                            </div>
                        </div>

                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                </div>
            </div>
        </div>
    </div>
    
    @Html.HiddenFor(c => c.DocEntry) 

}
@Scripts.Render("~/bundles/PurchaseOrder")


